Record an immutable QC inspection
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/orders/string/qc" \ -H "Content-Type: application/json" \ -d '{ "results": [ { "checklistItemId": "string", "passed": true } ] }'{ "id": "string", "orderId": "string", "orderRevision": 0, "attemptNumber": 0, "outcome": "passed", "notes": "string", "completedByUserId": "string", "completedByName": "string", "completedAt": "string", "results": [ { "checklistItemId": "string", "itemName": "string", "passed": true, "notes": "string" } ]}Empty
Empty
Empty
Empty
Empty
Cancel an order with an explicit refund decision POST
Cancels an order. Paid orders require a lab owner/admin to choose a full, partial, or no refund and provide a reason. Stripe direct-charge refunds are committed only after provider confirmation.
Create draft order POST
Creates a new draft order with optional line items and wizard state for multi-step order creation. The draft is owned by the authenticated user and can be resumed later.